Package org.springframework.web.servlet.mvc.method.annotation

# Class SessionAttributeMethodArgumentResolver

java.lang.Object
org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver
org.springframework.web.servlet.mvc.method.annotation.SessionAttributeMethodArgumentResolver

All Implemented Interfaces:
  `org.springframework.web.method.support.HandlerMethodArgumentResolver`

public class SessionAttributeMethodArgumentResolver extends org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver
Resolves method arguments annotated with an @`SessionAttribute`.

Since:
  4.3
Author:
  Rossen Stoyanchev

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver

`org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.NamedValueInfo`

## Constructor Summary

Constructors
Constructor
Description
`SessionAttributeMethodArgumentResolver()`

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.NamedValueInfo`
`createNamedValueInfo(org.springframework.core.MethodParameter parameter)`
`protected void`
`handleMissingValue(String name, org.springframework.core.MethodParameter parameter)`
`protected Object`
`resolveName(String name, org.springframework.core.MethodParameter parameter, org.springframework.web.context.request.NativeWebRequest request)`
`boolean`
`supportsParameter(org.springframework.core.MethodParameter parameter)`

### Methods inherited from class org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver

`handleMissingValue, handleMissingValueAfterConversion, handleResolvedValue, resolveArgument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionAttributeMethodArgumentResolver

public SessionAttributeMethodArgumentResolver()

## Method Details

### supportsParameter

public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

### createNamedValueInfo

protected org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.NamedValueInfo createNamedValueInfo(org.springframework.core.MethodParameter parameter)

Specified by:
  `createNamedValueInfo` in class `org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver`

### resolveName

@Nullable protected Object resolveName(String name, org.springframework.core.MethodParameter parameter, org.springframework.web.context.request.NativeWebRequest request)

Specified by:
  `resolveName` in class `org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver`

### handleMissingValue

protected void handleMissingValue(String name, org.springframework.core.MethodParameter parameter) throws ServletException

Overrides:
  `handleMissingValue` in class `org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver`
Throws:
  `ServletException`